=== server/test/CMakeLists.txt ===
add_subdirectory (elisp)
