=== debian/changelog ===
irony-mode (0.1.2-1) unstable; urgency=medium

  * New upstream version
  * Add VCS

 -- Christoph Egger <christoph@debian.org>  Sat, 03 Jan 2015 18:16:58 +0100

irony-mode (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #741024)

 -- Christoph Egger <christoph@debian.org>  Thu, 23 Oct 2014 14:29:43 +0200
