=== debian/control ===
Source: irony-mode
Section: x11
Priority: optional
Maintainer: Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>> 9~),
 cmake,
 libclang-dev
Standards-Version: 3.9.6
Homepage: https://github.com/Sarcasm/irony-mode/
Vcs-Git: git://git.debian.org/collab-maint/irony-mode.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/herbstluftwmirony-mode.git;a=summary

Package: irony-mode
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 emacsen-common (>= 2.0.8)
Description: C/C++ minor mode powered by libclang
 irony-mode is an Emacs minor-mode that aims at improving the editing
 experience for the C, C++ and Objective-C languages. It works by
 using a combination of an Emacs package and a C++ program
 (irony-server) that uses libclang.
