=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Dserver --parallel
