## irony-mode 0.2.0

=== server/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
   ${CMAKE_MODULE_PATH})
 
 include(utils)
+
+include(CTest)
 
 check_for_in_source_build()
 release_as_default_build_type()
@@ -61,5 +63,7 @@
 
 add_subdirectory(src)
 add_subdirectory(docs)
-enable_testing()
-add_subdirectory(test)
+
+if (BUILD_TESTING)
+  add_subdirectory(test)
+endif()
