=== debian/changelog ===
irony-mode (0.2.0-1) unstable; urgency=medium

  * Team upload (collab-maint).
  * New upstream release.
  * Add watch file.
  * Drop llvm patch, upstream.
  * Make VCS fields in secure mode.
  * bump std-version to 3.9.8, no changes required.

  [ Tim Marston ]
  * Fix bad package autoload (Closes: #824855)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Oct 2016 10:14:16 +0200

irony-mode (0.1.2-2) unstable; urgency=medium

  * Update against newer libclang (Closes: #803650)
  * Update VCS-Browser (Closes: #803649)

 -- Christoph Egger <christoph@debian.org>  Tue, 15 Mar 2016 13:46:05 +0100
