=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper (>> 9~),
  cmake,
  libclang-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/Sarcasm/irony-mode/
-Vcs-Git: git://git.debian.org/collab-maint/irony-mode.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/herbstluftwmirony-mode.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/irony-mode.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/irony-mode.git
 
 Package: irony-mode
 Architecture: any
