=== debian/changelog ===
irony-mode (0.2.1-1~exp1build1) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 May 2017 22:34:38 +0200

irony-mode (0.2.1-1~exp1) experimental; urgency=medium

  * Team upload (collab-maint).
  * New upstream release
    - compatible with llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Apr 2017 13:47:43 +0200
