=== debian/changelog ===
irony-mode (1.2.0-4) unstable; urgency=medium

  * Drop ert-helper.el.
  * Import upstream fix for failing ert test in autopkgtest:
    - Fixes "FAILED  31/41  irony/find-server-executable/does-not-exists"
  * Switch to debhelper 11.
  * Declare compat level 11.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 07 Jan 2018 18:39:00 -0500

irony-mode (1.2.0-3) unstable; urgency=medium

  * Switch to libclang-5.0-dev, now that Bug #881663 has been resolved.
  * Customise elpa-test to work around autopkgtest error.
  * Declare Standards-Version: 4.1.3. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 28 Dec 2017 16:30:05 -0500

irony-mode (1.2.0-2) unstable; urgency=medium

  * debian/control: Add Breaks and Replaces (<< 1.2.0-1) to allow clean
    upgrades. (Closes: #880900)
  * Import upstream commit to make tests pass more reliably.
    - Adds 02-irony-iotask-fix-spurious-failure-of-invalid-msg-test.patch
  * Rename fix-install-prefix to 01-fix-install-prefix.patch
  * Allow linking with either libclang-4.0-dev | libclang-5.0-dev
    Rational: libclang-5.0-dev isn't yet in a good state for
    mipsel or mips64el.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 14 Nov 2017 17:08:27 -0500

irony-mode (1.2.0-1) unstable; urgency=medium

  * Package is now maintained by Debian Emacs addons team:
    - debian/control: Change maintainer to Debian Emacs addons team.
    - debian/control: Add primary maintainer (Christoph Egger) to Uploaders,
      and add myself.
    - debian/control: Update VCS links to use new pkg-emacsen location
      rather than collab-maint.
  * New upstream version.
  * Elpafy irony-mode. (Closes: #872689):
    - debian/rules: Add --with elpa.
    - debian/control: Add dh-elpa to Build-Depends.
    - debian/control: Split package into Arch: all elpa-irony and Arch: any
      irony-server.
    - debian/control: irony-mode is now a dummy transitional package.
    - debian/control: Require debhelper >= 10.
    - debian/compat: Require compat level 10.
    - debian/rules: Drop --parallel, because it's implicit with dh 10.
    - debian/control: Change section from x11 to lisp.
    - Drop obsolete emacsen-compat, emacsen-install, emacsen-remove,
      emacsen-startup, and install.
    - Instruct dh-elpa to bytecompile and install *.el using elpa-irony.elpa.
    - Install irony-server using irony-server.install.
    - Add Testsuite: autopkgtest-pkg-elpa.
  * debian/control:
    - Declare Standards-Version: 4.1.1. (No additional changes needed)
    - Update libclang-dev Build-Depends to use libclang-5.0-dev.
      (Closes: #873410)
    - Update short description to say this is an Emacs package.
    - Add elpa-yasnippet to Suggests.
  * Generate and install man page:
    - debian/control: Add python3-docutils to Build-Depends.
    - debian/rules: Add override_dh_installman.
    - Create debian/irony-server.manpages.
  * Add DEP-3 header to debian/patches/fix-install-prefix.
  * debian/copyright:
    - Update copyright for irony-mode from L3 of irony.el.
    - Add missing copyright for irony-cdb-libclang.el
      and server/build-aux/run-clang-tidy/run-clang-tidy.py.
    - Add myself to debian/* section.
    - Add copyright-format/1.0 header.
    - Add correct paragraph separators.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 25 Oct 2017 13:49:39 -0400
