=== debian/control ===
Source: irony-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>,
 Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libclang-5.0-dev,
 dh-elpa,
 python3-docutils
Standards-Version: 4.1.3
Homepage: https://github.com/Sarcasm/irony-mode/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/irony-mode.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/irony-mode.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-irony
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
 irony-server
Suggests: elpa-yasnippet
Description: Emacs C/C++ minor mode powered by libclang
 irony-mode is an Emacs minor-mode that aims at improving the editing
 experience for the C, C++ and Objective-C languages. It works by
 using a combination of an Emacs package and a C++ program
 (irony-server) that uses libclang.
 .
 This package contains irony-mode.

Package: irony-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: irony-mode (<< 1.2.0-1)
Replaces: irony-mode (<< 1.2.0-1)
Description: Emacs C/C++ minor mode powered by libclang (server)
 irony-mode is an Emacs minor-mode that aims at improving the editing
 experience for the C, C++ and Objective-C languages. It works by
 using a combination of an Emacs package and a C++ program
 (irony-server) that uses libclang.
 .
 This package contains the architecture-specific irony-server.

Package: irony-mode
Architecture: all
Depends: ${misc:Depends}, elpa-irony
Description: Transition Package, irony-mode to elpa-irony
 The irony-mode addon has been elpafied. This dummy package
 helps ease the transition from irony-mode to elpa-irony
 and is safe to remove.
