=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Dserver --with elpa

override_dh_installman:
	mkdir -p debian/tmp
	rst2man irony-server.rst > debian/tmp/irony-server.man
	dh_installman
