=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/irony-mode-$1\.tar\.gz/ \
  https://github.com/Sarcasm/irony-mode/tags .*/v?(\d\S+)\.tar\.gz
