## irony-mode 1.3.1

=== server/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-include(CheckLibClangBuiltinHeadersDir)
+include(CheckClangResourceDir)
 
 find_package(LibClang REQUIRED)
 
 include_directories(${LIBCLANG_INCLUDE_DIRS})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
-check_libclang_builtin_headers_dir()
+check_clang_resource_dir()
 
-if (LIBCLANG_BUILTIN_HEADERS_DIR)
+if (CLANG_RESOURCE_DIR)
   # look for CLANG_BUILTIN_HEADERS_DIR usage in the code for an explanation
-  add_definitions(-DCLANG_BUILTIN_HEADERS_DIR=\"${LIBCLANG_BUILTIN_HEADERS_DIR}\")
+  add_definitions(-DCLANG_RESOURCE_DIR=\"${CLANG_RESOURCE_DIR}\")
 endif()
 
 # not to be taken as a module-definition file to link on Windows
