=== debian/changelog ===
irony-mode (1.3.1-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Switch to debhelper-compat 12.
  * Build against libclang-8.

  [ David Bremner ]
  * Team upload
  * Rebuild with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 16:53:31 -0300

irony-mode (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:25:58 -0300

irony-mode (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches that are part of this upstream release:
    - 02-irony-iotask-fix-spurious-failure-of-invalid-msg-test.patch
    - 03-fix-irony.el-does-not-exists-test-when-irony-server-.patch
  * Build against libclang-7 rather than 6.0. (Closes: #912801)
  * Update the copyright years range for myself.
  * debian/control: Add "Enhances: emacs".
  * Declare Standards-Version: 4.3.0. (No changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 23 Dec 2018 19:58:29 -0700

irony-mode (1.2.0-6) unstable; urgency=medium

  * debian/elpa-test: (require 'cl), for autopkgtests.  This was not
    needed in the past when running autopkgtests in an LXC, and is still
    not needed when building locally, in an LXC or any type of chroot.  It
    is unclear why DebCI requires this now (post unversioned emacs and
    post emacsen-common 3.0.2).
  * Declare Standards-Version: 4.2.0. (No additional changes needed)
  * Enable hardening=+all dpkg-buildflags.  Possibly paranoia, but we live
    in the age of Spectre, and it might be possible for evil code to break
    out via irony-server.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 11 Aug 2018 21:04:25 -0400

irony-mode (1.2.0-5) unstable; urgency=medium

  * Install upstream README.md
  * Change section to editors, which is more accurate and discoverable.
    - irony-mode is an interactive minor mode and not just a lisp library.
  * Relax debhelper dependency to allow backporting.
  * Switch Vcs from alioth to salsa.
  * Update Maintainer team name and email address.
  * Set dummy transitional package "irony-mode" to "Section: oldlibs".
  * Build against libclang-6.0 rather than 5.0. (Closes: #904277)
  * Declare Standards-Version: 4.1.5. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 22 Jul 2018 16:55:16 -0400
