=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: irony-mode
-Section: lisp
+Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Christoph Egger <christoph@debian.org>,
  Nicholas D Steeves <nsteeves@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  cmake,
- libclang-5.0-dev,
+ libclang-8-dev,
  dh-elpa,
  python3-docutils
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/Sarcasm/irony-mode/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/irony-mode.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/irony-mode.git
+Vcs-Git: https://salsa.debian.org/emacsen-team/irony-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/irony-mode
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-irony
@@ -23,6 +23,7 @@
  ${misc:Depends},
  irony-server
 Suggests: elpa-yasnippet
+Enhances: emacs
 Description: Emacs C/C++ minor mode powered by libclang
  irony-mode is an Emacs minor-mode that aims at improving the editing
  experience for the C, C++ and Objective-C languages. It works by
@@ -49,6 +50,7 @@
 Package: irony-mode
 Architecture: all
 Depends: ${misc:Depends}, elpa-irony
+Section: oldlibs
 Description: Transition Package, irony-mode to elpa-irony
  The irony-mode addon has been elpafied. This dummy package
  helps ease the transition from irony-mode to elpa-irony
