=== debian/changelog ===
irony-mode (1.4.0-2) unstable; urgency=medium

  * Drop transitional dummy package "irony-mode".
  * Add Breaks and Replaces against less than this version.
  * Elpa-irony-mode now Provides irony-mode.
  * Drop Christoph Egger from Uploaders; He has not worked on this
    package since 2016 and did not follow up on a 27 Sep 2019 email that
    requested confirmation of continued interest.
  * Add 0002-README-Add-section-about-how-to-access-newer-version.patch
    This patch adds a section documenting how backports are the
    recommended mechanism to get newer versions of Clang and irony-mode,
    and it also provides a link to Sylvestre Ledru's unofficial LLVM
    nightly repository.  While the latter method is not officially
    supported, I agree with Sylvestre that it is a valuable service to
    users who might want to live on the edge in this one aspect.  Upstream
    agrees, and in conclusion it's good for the irony-mode community.
  * Build against libclang-10.
  * Add clang-10 and llvm-10-dev to build-deps; compilation fails without
    these with the following errors: 'Could NOT find LibClang (missing:
    LIBCLANG_LIBRARY LIBCLANG_INCLUDE_DIR)' and 'Could not find a package
    configuration file provided by "LLVM" with any of the following names:
    LLVMConfig.cmake llvm-config.cmake'.
  * control: Add "Rules-Requires-Root: no".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 28 Mar 2020 18:42:12 -0400

irony-mode (1.4.0-1) unstable; urgency=medium

  * Build against libclang-9.
  * Declare Standards-Version 4.4.1. (no changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 09 Oct 2019 19:04:49 -0400
