=== debian/control ===
Source: irony-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libclang-10-dev,
 clang-10,
 llvm-10-dev,
 dh-elpa,
 python3-docutils
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/Sarcasm/irony-mode/
Vcs-Git: https://salsa.debian.org/emacsen-team/irony-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/irony-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-irony
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
 irony-server
Breaks: irony-mode (<< 1.4.0-2~)
Replaces: irony-mode (<< 1.4.0-2~)
Provides: irony-mode
Suggests: elpa-yasnippet
Enhances: emacs
Description: Emacs C/C++ minor mode powered by libclang
 irony-mode is an Emacs minor-mode that aims at improving the editing
 experience for the C, C++ and Objective-C languages. It works by
 using a combination of an Emacs package and a C++ program
 (irony-server) that uses libclang.
 .
 This package contains irony-mode.

Package: irony-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Emacs C/C++ minor mode powered by libclang (server)
 irony-mode is an Emacs minor-mode that aims at improving the editing
 experience for the C, C++ and Objective-C languages. It works by
 using a combination of an Emacs package and a C++ program
 (irony-server) that uses libclang.
 .
 This package contains the architecture-specific irony-server.
