## irony-mode 1.4.0%2B7.g76fd37f

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
- libclang-10-dev,
- clang-10,
- llvm-10-dev,
+ libclang-11-dev,
+ clang-11,
+ llvm-11-dev,
  dh-elpa,
  python3-docutils
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/Sarcasm/irony-mode/
 Vcs-Git: https://salsa.debian.org/emacsen-team/irony-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/irony-mode
