=== debian/changelog ===
irony-mode (1.4.0+7.g76fd37f-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 05 Aug 2021 22:01:24 -0400

irony-mode (1.4.0+7.g76fd37f-1) unstable; urgency=medium

  * New upstream snapshot.
  * Rebase patches onto 1.4.0+7.g76fd37f.
  * Drop 0002-README-Add-section-about-how-to-access-newer-version.patch
    (merged upstream).
  * Switch to llvm-toolchain-11, and build with libclang-11-dev, clang-11,
    and llvm-11-dev (Closes: #974780).
  * Migrate to debhelper-compat 13.
  * Declare Standards-Version 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 14 Nov 2020 18:27:09 -0500

irony-mode (1.3.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 09 Sep 2019 07:58:00 -0400
