## irony-mode 1.5.0

=== debian/changelog ===
irony-mode (1.5.0-2) unstable; urgency=medium

  * Switch to llvm-toolchain-13, and build with libclang-13-dev, clang-13,
    and llvm-13-dev.
  * rules: Add override_dh_elpa, use sed to set $DEB_VERSION_UPSTREAM
    everywhere where the dummy version "1.2.0" appears in upstream source,
    and then cleanup; this resolves potential confusion about which version
    the Debian package contains.
  * Declare Standards-Version 4.6.0.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 10 Dec 2021 12:22:01 -0500

irony-mode (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Switch to llvm-toolchain-12, and build with libclang-12-dev, clang-12,
    and llvm-12-dev.
  * Switch to watch file v4 (no further changes required).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 15 Sep 2021 16:56:37 -0400
