=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libclang-11-dev,
- clang-11,
- llvm-11-dev,
+ libclang-13-dev,
+ clang-13,
+ llvm-13-dev,
  dh-elpa,
  python3-docutils
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Sarcasm/irony-mode/
 Vcs-Git: https://salsa.debian.org/emacsen-team/irony-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/irony-mode
