=== debian/changelog ===
irony-mode (1.6.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:33 +1100

irony-mode (1.6.0-2build1) noble; urgency=medium

  * No-change rebuild against libllvm16 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 20:21:53 +0100

irony-mode (1.6.0-2) unstable; urgency=medium

  * Switch to llvm-toolchain-16, and build with libclang-16-dev, clang-16,
    and llvm-16-dev.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 24 Oct 2023 16:53:14 -0400

irony-mode (1.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1052955).
  * Rebase quilt series onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 28 Sep 2023 13:58:25 -0400

irony-mode (1.5.0-5+deb12u1) bookworm; urgency=medium

  * Rebuild with llvm-toolchain-15 1:15.0.6-4, because the timing of the last
    upload resulted in a bin:irony-server runtime dependency on libclang1-15
    (>= 1:15.0.7-1), but llvm-toolchain-15 1:15.0.7-1 will not migrate to
    testing/bookworm (see #1032899 and #1032887).  A rebuild with 1:15.0.6-4
    is the only good solution for providing bookworm users with an irony-mode
    package built with a sufficiently recent libclang (15, not 14).  Upstream
    LLVM released version 16 on 2023-03-18, during bookworm's hard-freeze, so
    using it was never an option.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 26 Apr 2023 15:07:44 -0400

irony-mode (1.5.0-5) unstable; urgency=medium

  * Switch to llvm-toolchain-15, and build with libclang-15-dev, clang-15,
    and llvm-15-dev.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jan 2023 16:04:06 -0500

irony-mode (1.5.0-4) unstable; urgency=medium

  * Tighten irony-server dependency to guard against the possibility of
    mismatched versions.
  * Add 0002-Drop-info-which-may-confuse-users-from-README.patch which does
    exactly what it sounds like it does.
  * Update my copyright years.
  * Declare Standards-Version 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 02 Sep 2022 15:56:18 -0400

irony-mode (1.5.0-3) unstable; urgency=medium

  * Switch to llvm-toolchain-14, and build with libclang-14-dev, clang-14,
    and llvm-14-dev.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 08 Apr 2022 21:45:06 -0400
