=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: irony-mode
 Section: editors
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libclang-13-dev,
- clang-13,
- llvm-13-dev,
+ libclang-16-dev,
+ clang-16,
+ llvm-16-dev,
  dh-elpa,
  python3-docutils
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/Sarcasm/irony-mode/
 Vcs-Git: https://salsa.debian.org/emacsen-team/irony-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/irony-mode
@@ -23,7 +24,7 @@
 Depends:
  ${elpa:Depends},
  ${misc:Depends},
- irony-server
+ irony-server (>=${source:Version})
 Breaks: irony-mode (<< 1.4.0-2~)
 Replaces: irony-mode (<< 1.4.0-2~)
 Provides: irony-mode
