=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Dserver --with elpa

override_dh_elpa:
	sed -i "/:package-version/s/1.2.0/$(DEB_VERSION_UPSTREAM)/" irony.el
	sed -i "s/1.2.0/$(DEB_VERSION_UPSTREAM)/" irony-server.rst
	dh_elpa
	sed -i "s/$(DEB_VERSION_UPSTREAM)/1.2.0/" irony-server.rst
	sed -i "/:package-version/s/$(DEB_VERSION_UPSTREAM)/1.2.0/" irony.el

override_dh_installman:
	mkdir -p debian/tmp
	rst2man irony-server.rst > debian/tmp/irony-server.man
	dh_installman
