=== debian/changelog ===
irony-mode (1.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Migrate to llvm-toolchain-19 (Closes: #1081242)

 -- Nicholas D Steeves <sten@debian.org>  Wed, 11 Sep 2024 06:36:55 -0400

irony-mode (1.6.0-4) unstable; urgency=medium

  * Orphan package.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 19:53:10 -0400

irony-mode (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:22:49 +0900
