=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: irony-mode
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <sten@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libclang-16-dev,
- clang-16,
- llvm-16-dev,
+ libclang-19-dev,
+ clang-19,
+ llvm-19-dev,
  dh-elpa,
  python3-docutils
 Rules-Requires-Root: no
